PETSc version 3.15.5
Fix/Edit manual page

# TaoALMMGetDualIS

Retreive a pointer to the index set that identifies equality and inequality constraint components of the dual vector returned by TaoALMMGetMultipliers(). Not valid for problems with only one type of constraint.

### Synopsis

    #include "petsctao.h"
    #include "petscvec.h"
    PetscErrorCode TaoALMMGetDualIS(Tao tao, IS *eq_is, IS *ineq_is)

### Input Parameters

| tao | - the Tao context for the TAOALMM solver

### Output Parameters

| eq_is | - index set associated with the equality constraints (NULL if not needed)
| ineq_is | - index set associated with the inequality constraints (NULL if not needed)

### See Also

TAOALMM, TaoALMMGetMultipliers()

### Level

advanced

### Location

src/tao/constrained/impls/almm/almmutils.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages